#!/bin/bash

for texture in `find ../textures | grep -v .svn | grep "jpg\|png" | sort | cut -d"/" -f3-`
do
#    suffix=`echo $texture | cut -d"." -f2-`
    material=`echo $texture | cut -d"." -f1`
    echo "material materials/board/$material.material"
    echo "{"
    echo "    technique"
    echo "    {"
    echo "        pass"
    echo "        {"
    echo "            texture_unit"
    echo "            {"
    echo "                texture textures/$texture"
    echo "                max_anisotropy 16"
    echo "                filtering anisotropic"
    echo "            }"
    echo "        }"
    echo "    }"
    echo "}"
    echo ""
done

